Package com.ads.api.beans.mm.helper

# Enum Class MappingImportHelper.ImportFileType

java.lang.Object
java.lang.Enum<MappingImportHelper.ImportFileType>
com.ads.api.beans.mm.helper.MappingImportHelper.ImportFileType

All Implemented Interfaces:
  `Serializable`, `Comparable<MappingImportHelper.ImportFileType>`, `Constable`

Enclosing class:
  MappingImportHelper

public static enum MappingImportHelper.ImportFileType extends Enum<MappingImportHelper.ImportFileType>
The constants of this enumerated type provides a simple classification of the declared elements. These constants are used to specify the ImportFileType such as MAPPINGMANAGER_LEGACY_EXCEL, MAPPINGMANAGER_EXCEL, MAPPINGMANAGER_XML, INFORMATICA, DATASTAGE, SSIS_2008.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DATASTAGE`
  DATASTAGE ImportFileType is used to refer when the fileType we import is DATASTAGE.
  `INFORMATICA`
  INFORMATICA ImportFileType is used to refer when the fileType we import is INFORMATICA.
  `MAPPINGMANAGER_EXCEL`
  MAPPINGMANAGER_EXCEL ImportFileType is used to refer when the fileType we import is MAPPINGMANAGER_EXCEL.
  `MAPPINGMANAGER_LEGACY_EXCEL`
  MAPPINGMANAGER_LEGACY_EXCEL ImportFileType is used to refer when the fileType we import is MAPPINGMANAGER_LEGACY_EXCEL.
  `MAPPINGMANAGER_XML`
  MAPPINGMANAGER_XML ImportFileType is used to refer when the fileType we import is MAPPINGMANAGER_XML.
  `SSIS_2008`
  SSIS_2008 ImportFileType is used to refer when the fileType we import is SSIS_2008.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MappingImportHelper.ImportFileType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MappingImportHelper.ImportFileType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MAPPINGMANAGER_LEGACY_EXCEL

    public static final MappingImportHelper.ImportFileType MAPPINGMANAGER_LEGACY_EXCEL
    MAPPINGMANAGER_LEGACY_EXCEL ImportFileType is used to refer when the fileType we import is MAPPINGMANAGER_LEGACY_EXCEL.
    importing MAPPINGMANAGER_LEGACY_EXCEL is possible only on Project and Subject Nodes.
    MAPPINGMANAGER_LEGACY_EXCEL will create the map with name specified in Legacy Excel and imports the mappingSpecifications in to that map.
    In case if a map exists with the same name, it creates another map with the name suffixed by a number.

  - ### MAPPINGMANAGER_EXCEL

    public static final MappingImportHelper.ImportFileType MAPPINGMANAGER_EXCEL
    MAPPINGMANAGER_EXCEL ImportFileType is used to refer when the fileType we import is MAPPINGMANAGER_EXCEL.
    MAPPINGMANAGER_EXCEL is possible only on a particular Map.

  - ### MAPPINGMANAGER_XML

    public static final MappingImportHelper.ImportFileType MAPPINGMANAGER_XML
    MAPPINGMANAGER_XML ImportFileType is used to refer when the fileType we import is MAPPINGMANAGER_XML.
    MAPPINGMANAGER_XML is possible on Project, Subject and Mappings Nodes. If the mappingSpecification with the same name exists it overwrites the mappingSpecification.

  - ### INFORMATICA

    public static final MappingImportHelper.ImportFileType INFORMATICA
    INFORMATICA ImportFileType is used to refer when the fileType we import is INFORMATICA.

  - ### DATASTAGE

    public static final MappingImportHelper.ImportFileType DATASTAGE
    DATASTAGE ImportFileType is used to refer when the fileType we import is DATASTAGE.

  - ### SSIS_2008

    public static final MappingImportHelper.ImportFileType SSIS_2008
    SSIS_2008 ImportFileType is used to refer when the fileType we import is SSIS_2008.

- ## Method Details

  - ### values

    public static MappingImportHelper.ImportFileType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MappingImportHelper.ImportFileType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null